path: /build/build/qtpositioning-dev-qt-5-5.15.2+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test geoclue qml" emerge dev-qt/qtpositioning:5 -pv -t && \
    USE="-test geoclue qml" emerge -j ${JOBS} --nodeps dev-qt/qtpositioning:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtpositioning && luet-portage --dir
    /pkgdir/qtpositioning dev-qt/qtpositioning:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4b0b4e15aeb02c2024573dd798fb028036c486d4a18ddbd9dd7f769ca4a1094b
  package:
    name: qtpositioning
    version: 5.15.2+3
    category: dev-qt-5
    use_flags:
    - -test
    - geoclue
    - qml
    requires:
    - name: geoclue
      version: '>=0'
      category: app-misc-2.0
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Physical position determination library for the Qt5 framework
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-02-07 02:06:09.0491601 +0000 UTC m=+266.422552984
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2* geoclue? ( =dev-qt/qtdbus-5.15.2* ) qml? ( =dev-qt/qtdeclarative-5.15.2*
        ) test? ( =dev-qt/qttest-5.15.2* )
      IUSE: geoclue +qml debug test
      RDEPEND: =dev-qt/qtcore-5.15.2* geoclue? ( =dev-qt/qtdbus-5.15.2* ) qml? ( =dev-qt/qtdeclarative-5.15.2*
        )
      emerge.packages: dev-qt/qtpositioning:5
      kit: qt-kit
      original.package.name: dev-qt/qtpositioning
      original.package.slot: "5"
      original.package.version: 5.15.2_p20231228
    treedir: /build/packages
  package_dir: /pkgdir/qtpositioning
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f228db75bdc35b08a736ba688ffe95473dbce3a22bd9aa6ae68af232fa02ee4a
compressiontype: zstd
files:
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qclipperutils_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qdoublematrix4x4_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qdoublevector2d_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qdoublevector3d_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeoaddress_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeocircle_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeocoordinate_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeocoordinateobject_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeolocation_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeopath_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeopolygon_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeopositioninfo_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeopositioninfosource_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeorectangle_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeosatelliteinfo_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeosatelliteinfosource_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qgeoshape_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qlocationdata_simulator_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qlocationutils_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qnmeapositioninfosource_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qpositioningglobal_p.h
- usr/include/qt5/QtPositioning/5.15.12/QtPositioning/private/qwebmercator_p.h
- usr/include/qt5/QtPositioning/QGeoAddress
- usr/include/qt5/QtPositioning/QGeoAreaMonitorInfo
- usr/include/qt5/QtPositioning/QGeoAreaMonitorSource
- usr/include/qt5/QtPositioning/QGeoCircle
- usr/include/qt5/QtPositioning/QGeoCoordinate
- usr/include/qt5/QtPositioning/QGeoLocation
- usr/include/qt5/QtPositioning/QGeoPath
- usr/include/qt5/QtPositioning/QGeoPolygon
- usr/include/qt5/QtPositioning/QGeoPositionInfo
- usr/include/qt5/QtPositioning/QGeoPositionInfoSource
- usr/include/qt5/QtPositioning/QGeoPositionInfoSourceFactory
- usr/include/qt5/QtPositioning/QGeoRectangle
- usr/include/qt5/QtPositioning/QGeoSatelliteInfo
- usr/include/qt5/QtPositioning/QGeoSatelliteInfoSource
- usr/include/qt5/QtPositioning/QGeoShape
- usr/include/qt5/QtPositioning/QNmeaPositionInfoSource
- usr/include/qt5/QtPositioning/QtPositioning
- usr/include/qt5/QtPositioning/QtPositioningDepends
- usr/include/qt5/QtPositioning/QtPositioningVersion
- usr/include/qt5/QtPositioning/qgeoaddress.h
- usr/include/qt5/QtPositioning/qgeoareamonitorinfo.h
- usr/include/qt5/QtPositioning/qgeoareamonitorsource.h
- usr/include/qt5/QtPositioning/qgeocircle.h
- usr/include/qt5/QtPositioning/qgeocoordinate.h
- usr/include/qt5/QtPositioning/qgeolocation.h
- usr/include/qt5/QtPositioning/qgeopath.h
- usr/include/qt5/QtPositioning/qgeopolygon.h
- usr/include/qt5/QtPositioning/qgeopositioninfo.h
- usr/include/qt5/QtPositioning/qgeopositioninfosource.h
- usr/include/qt5/QtPositioning/qgeopositioninfosourcefactory.h
- usr/include/qt5/QtPositioning/qgeorectangle.h
- usr/include/qt5/QtPositioning/qgeosatelliteinfo.h
- usr/include/qt5/QtPositioning/qgeosatelliteinfosource.h
- usr/include/qt5/QtPositioning/qgeoshape.h
- usr/include/qt5/QtPositioning/qnmeapositioninfosource.h
- usr/include/qt5/QtPositioning/qpositioningglobal.h
- usr/include/qt5/QtPositioning/qtpositioningversion.h
- usr/include/qt5/QtPositioningQuick/5.15.12/QtPositioningQuick/private/qdeclarativegeoaddress_p.h
- usr/include/qt5/QtPositioningQuick/5.15.12/QtPositioningQuick/private/qdeclarativegeolocation_p.h
- usr/include/qt5/QtPositioningQuick/5.15.12/QtPositioningQuick/private/qdeclarativepluginparameter_p.h
- usr/include/qt5/QtPositioningQuick/5.15.12/QtPositioningQuick/private/qdeclarativeposition_p.h
- usr/include/qt5/QtPositioningQuick/5.15.12/QtPositioningQuick/private/qdeclarativepositionsource_p.h
- usr/include/qt5/QtPositioningQuick/5.15.12/QtPositioningQuick/private/qpositioningquickglobal_p.h
- usr/include/qt5/QtPositioningQuick/5.15.12/QtPositioningQuick/private/qquickgeocoordinateanimation_p.h
- usr/include/qt5/QtPositioningQuick/5.15.12/QtPositioningQuick/private/qquickgeocoordinateanimation_p_p.h
- usr/include/qt5/QtPositioningQuick/QtPositioningQuick
- usr/include/qt5/QtPositioningQuick/QtPositioningQuickDepends
- usr/include/qt5/QtPositioningQuick/QtPositioningQuickVersion
- usr/include/qt5/QtPositioningQuick/qpositioningquickglobal.h
- usr/include/qt5/QtPositioningQuick/qtpositioningquickversion.h
- usr/lib64/cmake/Qt5Positioning/Qt5PositioningConfig.cmake
- usr/lib64/cmake/Qt5Positioning/Qt5PositioningConfigVersion.cmake
- usr/lib64/cmake/Qt5Positioning/Qt5Positioning_QGeoPositionInfoSourceFactoryGeoclue2.cmake
- usr/lib64/cmake/Qt5Positioning/Qt5Positioning_QGeoPositionInfoSourceFactoryPoll.cmake
- usr/lib64/cmake/Qt5PositioningQuick/Qt5PositioningQuickConfig.cmake
- usr/lib64/cmake/Qt5PositioningQuick/Qt5PositioningQuickConfigVersion.cmake
- usr/lib64/libQt5Positioning.prl
- usr/lib64/libQt5Positioning.so
- usr/lib64/libQt5Positioning.so.5
- usr/lib64/libQt5Positioning.so.5.15
- usr/lib64/libQt5Positioning.so.5.15.12
- usr/lib64/libQt5PositioningQuick.prl
- usr/lib64/libQt5PositioningQuick.so
- usr/lib64/libQt5PositioningQuick.so.5
- usr/lib64/libQt5PositioningQuick.so.5.15
- usr/lib64/libQt5PositioningQuick.so.5.15.12
- usr/lib64/pkgconfig/Qt5Positioning.pc
- usr/lib64/pkgconfig/Qt5PositioningQuick.pc
- usr/lib64/qt5/mkspecs/modules/qt_lib_positioning.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_positioning_private.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_positioningquick.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_positioningquick_private.pri
- usr/lib64/qt5/plugins/position/libqtposition_geoclue2.so
- usr/lib64/qt5/plugins/position/libqtposition_positionpoll.so
- usr/lib64/qt5/qml/QtPositioning/libdeclarative_positioning.so
- usr/lib64/qt5/qml/QtPositioning/plugins.qmltypes
- usr/lib64/qt5/qml/QtPositioning/qmldir
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/BDEPEND
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/BUILD_TIME
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/CATEGORY
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/CBUILD
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/CFLAGS
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/CHOST
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/CONTENTS
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/COUNTER
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/CXXFLAGS
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/DEFINED_PHASES
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/DEPEND
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/DESCRIPTION
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/EAPI
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/FEATURES
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/HOMEPAGE
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/INHERITED
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/IUSE
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/KEYWORDS
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/LDFLAGS
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/LICENSE
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/NEEDED
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/PDEPEND
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/PF
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/PROVIDES
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/RDEPEND
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/REQUIRES
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/RESTRICT
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/SIZE
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/SLOT
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/USE
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/environment.bz2
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/qtpositioning-5.15.2_p20231228.ebuild
- var/db/pkg/dev-qt/qtpositioning-5.15.2_p20231228/repository
package_cacheimage: ""
runtime:
  name: qtpositioning
  version: 5.15.2+3
  category: dev-qt-5
  use_flags:
  - -test
  - geoclue
  - qml
  requires:
  - name: qtdbus
    version: '>=0'
    category: dev-qt-5
  - name: qtdeclarative
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Physical position determination library for the Qt5 framework
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2* geoclue? ( =dev-qt/qtdbus-5.15.2* ) qml? ( =dev-qt/qtdeclarative-5.15.2*
      ) test? ( =dev-qt/qttest-5.15.2* )
    IUSE: geoclue +qml debug test
    RDEPEND: =dev-qt/qtcore-5.15.2* geoclue? ( =dev-qt/qtdbus-5.15.2* ) qml? ( =dev-qt/qtdeclarative-5.15.2*
      )
    emerge.packages: dev-qt/qtpositioning:5
    kit: qt-kit
    original.package.name: dev-qt/qtpositioning
    original.package.slot: "5"
    original.package.version: 5.15.2_p20231228
